Subject: Ticket Assigned - Late delivery FF
From: Home Box <[email-masked]>
To: [email-masked]
Date: Thu, 08 Sep 2022 17:20:39 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late delivery FF Alexandra Harding                    My order has not arrived. It was supposed to be here between 6pm and 8pm           08:46 PM, 08th Sep                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           08:46 PM, 08th Sep                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            08:46 PM, 08th Sep                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           08:46 PM, 08th Sep                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            08:46 PM, 08th Sep                     Alexandra Harding                    9584752918           08:46 PM, 08th Sep                     Alexandra Harding                    My order has not arrived. It was supposed to be here between 6pm and 8pm           08:47 PM, 08th Sep                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            08:48 PM, 08th Sep                   New                   If you have any pictures that you would like to share, please do that.            08:48 PM, 08th Sep                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           08:48 PM, 08th Sep                   Alhamzi                   Hi Alexandra, thank you for contacting us. This's Alhamzi We would be happy to help you.           08:50 PM, 08th Sep                   Alhamzi                   Please wait while we check the details.            08:50 PM, 08th Sep                   Alhamzi                   Please confirm if the following phone number is correct: 585740519           08:52 PM, 08th Sep                     Alexandra Harding                    It is 0585740519 but yes otherwise correct           08:53 PM, 08th Sep                   Alhamzi                   Please coordinate the delivery with the delivery team at 0508715244           08:53 PM, 08th Sep                   Alhamzi                   We will follow up with our team as well           08:53 PM, 08th Sep                   Alhamzi                   Please contact us if you did not receive your order today and we will help you in the best way           08:53 PM, 08th Sep                   Alhamzi                   Do you have any other inquiries that we can help with?           08:54 PM, 08th Sep                     Alexandra Harding                    Yea that phone number is switched off           08:54 PM, 08th Sep                     Alexandra Harding                    I require this delivery today           08:55 PM, 08th Sep                     Alexandra Harding                    It was supposed to be here 1 hour ago at the latest           08:55 PM, 08th Sep                   Alhamzi                   We sincerely apologize for any inconvenience caused you.            09:00 PM, 08th Sep                   Alhamzi                   You can try contacting the team later           09:00 PM, 08th Sep                   Alhamzi                   We request you to allow us some time           09:00 PM, 08th Sep                   Alhamzi                   Do you have any other inquiries that we can help with?           09:00 PM, 08th Sep                     Alexandra Harding                    It’s 9pm           09:01 PM, 08th Sep                     Alexandra Harding                    How much later do I have to wait           09:02 PM, 08th Sep                     Alexandra Harding                    That is inappropriate           09:02 PM, 08th Sep                     Alexandra Harding                    Please follow up internally and get back to me with a time of delivery           09:02 PM, 08th Sep                   Alhamzi                   Sorry for this has happened with you. surely this is not the experience we wants our customer to have.  Kindly note that we have escalated this issue to the concern team for this not to happen again.     Thank you for you understanding and cooperation           09:06 PM, 08th Sep                   Alhamzi                   Please contact us tomorrow to check the reason for not delivering your order as we are following our team regarding this issue           09:07 PM, 08th Sep                   Alhamzi                   Thank you for your understanding and cooperation.           09:07 PM, 08th Sep                   Alhamzi                   Do you have any other inquiries that we can help with?           09:07 PM, 08th Sep                     Alexandra Harding                    No, it is your responsibility to contact me to ensure my products are delivered           09:07 PM, 08th Sep                     Alexandra Harding                    I was promised a service which you failed to deliver on and it is not good enough           09:08 PM, 08th Sep                     Alexandra Harding                    I was called yesterday and reconfirmed my delivery and the fact that it has just not shown ans I have not heard from anyone is completely unacceptable           09:08 PM, 08th Sep                     Alexandra Harding                    I took time away from work to accept this delivery           09:08 PM, 08th Sep                     Alexandra Harding                    And I have been sitting here for hours waiting           09:09 PM, 08th Sep                     Alexandra Harding                    So follow up internally and tell me when I will receive my products           09:09 PM, 08th Sep                   Alhamzi                   We apologies you have to go through this with us. This is not the experience we want our customer to have. Rest assured that we are doing the needful to sort this issue real quick.  We request you to allow us some more time.   Thank you for your understanding and cooperation.           09:14 PM, 08th Sep                   Alhamzi                   your complain number is 4159813           09:14 PM, 08th Sep                   Alhamzi                   Do you have any other inquiries that we can help with?           09:14 PM, 08th Sep                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           09:20 PM, 08th Sep                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4848922